Subject: [Sipping] Comment: draft-ietf-sipping-sbc-funcs-03.txt

From: Siddhartha Bhakta <[email-masked]>
Date: Thu, 31 May 2007 18:57:00 +0100 (BST)

Hi,

I have following comment/queries,

[1] This document mainly talks about the general
practices of SBC and associated architectural issues.
Is there any plan to propose solution(in this draft or
in some other draft) for those architectural issues?

[2] Sec 3.1.1
The Path, P-Asserted-Id, P-Preferred-Id etc. should
also be specified in this section.

[3] Sec 3.1.1
"However, in deployments which use IP addresses
instead of domain names in headers that cannot be
removed (e.g.  From and To headers), the SBC may
replace these IP addresses with its own IP address or
domain name."

The TO and FROM header contains the identity of Callee
and Calling party. (Ignore anonymous call for a
moment). Is it justified to manipulate hostport part
of TO & FROM?
I think, it is justified with the explanation below. I
just need others view on it.
As TO and FROM are containing IP addresses, it can be
assumed that hostport part of TO and FROM are
insignificant to identify SIP users. Therefore,
hostport part of TO and FROM can be modified with
SBC's IP address or domain.

[4] This is an issue for any B2BUA
If SBC needs to terminate any Dialog (due to session
timer expiry etc.), SBC may generate BYE for that. But
if that BYE is challenged then how shall SBC generate
BYE with right credential?

Thanks,
Siddhartha

      Looking for people who are YOUR TYPE? Find them at in.groups.yahoo.com

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP